/*
  Simple C++ base component. This establishes the minimal set of methods
  necessary to implement a Claro component. 
*/

#include "AddComp.hpp"
#include "helloworld.h"

AddComponent::AddComponent()
  : Component("addcomp")        // This is the module name
{
  hwptr = 0;
}

void AddComponent::start_up(int withGUI)
{
  if (withGUI > 0)
  {
    // Grap a pointer to the main widget class, then call its
    // setup method.
    hwptr = new HelloWorld();
    hwptr->setup_gui();
  }
}

void AddComponent::clean_up()
{
  if (hwptr)
  {
    hwptr->close();
    hwptr->remove_gui();
    delete hwptr;
  }

  // Tell Claro we are finished
  clean_up_complete();
}

void AddComponent::interrupt_progress()
{
  // See Component.hpp for methods necessary to implement the progress
  // bar. progress_start, progress_update, and progress_end. If the developer
  // uses the progress bar and the user interrupts the bar, this method will
  // be called.
}
